Summary: A spelling checker.
Name: aspell
Version: 0.50.1
Epoch: 3
Release: 1
Group: Applications/Text
Copyright: LGPL
Url: http://aspell.net/
Packager: Hao Li <hli@haoli.org>
Source: ftp://ftp.gnu.org/gnu/aspell/aspell-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Obsoletes: ispell, pspell
Provides: pspell

%description
Aspell is a spelling checker designed to eventually replace Ispell.
Aspell's primary advantage (over Ispell) is a greater skill at
suggesting correct spellings. Aspell includes both compile-time and
run-time support for non-English languages and can spellcheck (La)TeX
and HTML files.


%package devel
Summary: Static libraries and header files for Aspell development.
Group: Development/Libraries
Requires: aspell = %{version}
Obsoletes: pspell-devel
Provides: pspell-devel

%description devel
Aspell is a spelling checker. The aspell-devel package includes the
static libraries and header files needed for Aspell development.


%package en
Summary: An English dictionary for aspell.
Group: Applications/Text
Requires: aspell

%description en
This package contains an English dictionary for use with
aspell, a spelling checker.


%prep
%setup -q


%build
./configure --prefix=/usr --enable-static --disable-shared
make
cd manual
dvips -t letter -o manual.ps manual.dvi
dvips -t letter -o devel.ps  devel.dvi


%install
make DESTDIR=$RPM_BUILD_ROOT install
install -m755 scripts/spell  $RPM_BUILD_ROOT/usr/bin/spell
install -m755 scripts/ispell $RPM_BUILD_ROOT/usr/bin/ispell


%files
%defattr(-,root,root)
%doc COPYING README TODO manual/man-html manual/manual.ps
/usr/bin/*
/usr/share/aspell


%files devel
%defattr(-,root,root)
%doc manual/dev-html manual/devel.ps
/usr/include/*
/usr/lib/lib*.a
/usr/lib/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT

